
ThreatFactor NSIA - Feature #84

Display Finding Content From ThreatPatterns

04/09/2010 12:08 AM - Luke Murphey

Status: New Start date: 04/09/2010

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Scan Engine Estimated time: 0.00 hour

Target version:    

Description

Display the content that matched the threat pattern signature in the scan report. This makes it easy to identify the actual content that

tripped the rule.

History

#1 - 04/09/2010 12:09 AM - Luke Murphey

For this to work NSIA needs to do the following:

Store the start and offsets of the finding

Store the conten that was scanned

Provide a view to display the finding (something like a cross between a hex editor interface and a graphical diff)

Note that ThreatScript definitions don't currently report the start and end of the finding.

#2 - 04/09/2010 12:09 AM - Luke Murphey

This feature has been requested by multiple users

#3 - 11/02/2010 01:20 PM - Luke Murphey

- Category set to Scan Engine
